Bug 845818 - Upgrading script for MySQL does not add msg_resource_links
Upgrading script for MySQL does not add msg_resource_links
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mediawiki (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 06:37 EDT by Patrick Uiterwijk
Modified: 2013-03-21 20:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-21 20:44:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2012-08-05 06:37:55 EDT
Description of problem:
When running an upgrade of Mediawiki to 1.19, one of the new tables will not be added.
This will make a busy site trip over because it will try to update this table endlessly, resulting in an overloaded database server.

Version-Release number of selected component (if applicable):
mediawiki-1.1.19

How reproducible:
-

Steps to Reproduce:
1. Install Mediawiki <= 1.17
2. Upgrade to Mediawiki > 1.17
  
Actual results:
The new table %{prefix}msg_resource_links is not created, and mediawiki will attempt to update %{prefix}msg_resource on every request.

Expected results:
The table %{prefix}msg_resource_links is added to the database, and mediawiki will update %{prefix}msg_resource only when the resources of the modules have changed.

Additional info:
This is reported (with bugfix) upstream: https://bugzilla.wikimedia.org/show_bug.cgi?id=39046
Comment 1 Fedora Admin XMLRPC Client 2013-02-27 14:16:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Update System 2013-02-27 23:16:44 EST
mediawiki-1.19.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mediawiki-1.19.3-1.fc18
Comment 3 Fedora Update System 2013-02-27 23:29:45 EST
mediawiki-1.19.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mediawiki-1.19.3-1.fc17
Comment 4 Fedora Update System 2013-03-02 14:57:43 EST
Package mediawiki-1.19.3-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediawiki-1.19.3-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3227/mediawiki-1.19.3-2.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-03-21 20:44:45 EDT
mediawiki-1.19.4-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-03-21 20:46:59 EDT
mediawiki-1.19.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.